SingularIOHandler.cpp File Reference
`#include "stdinc.h"`
`#include "SingularIOHandler.h"`
`#include "Scanner.h"`
`#include "VarNames.h"`
`#include "BigTermConsumer.h"`
`#include "FrobbyStringStream.h"`
`#include "DataType.h"`
`#include "CoefBigTermConsumer.h"`
`#include "IdealWriter.h"`
`#include "PolyWriter.h"`
`#include "error.h"`
`#include "InputConsumer.h"`
`#include <cstdio>`

Go to the source code of this file.

## Classes

class | IO::SingularIdealWriter
class | IO::SingularPolyWriter

## Namespaces

namespace | IO
namespace | IO::Singular

## Functions

void | IO::Singular::writeRing (const VarNames &names, FILE *out)